# IWD Archive Lister

This script scans the `main/` and `iw4x/` folders under a specified root directory for `.iwd` files (which are ZIP archives). For each `.iwd` file found, it extracts the list of files inside the archive using `7z` and writes the output to a `.txt` file in a folder called `out/`.

Each `.iwd` file gets its own `.txt` file in the `out/` directory, with the same base name (e.g., `iw_00.iwd` -> `out/iw_00.iwd.txt`).

## Requirements

- [`7z`](https://www.7-zip.org/) command-line tool

### Install 7z on Debian/Ubuntu:

```bash
sudo apt update
sudo apt install p7zip-full
```

### Usage

```bash
./script.sh <root_directory>
```bash

Where `<root_directory>` is the path that contains both `main/` and `iw4x/` subfolders.
